@extends('layouts.app')

@section('content')
    
    @if(\Auth::user()->hasRole('admin'))
        @include('settings::partial.menu')
    @endif

    <div class="m-grid__item m-grid__item--fluid m-wrapper">                               
        <!-- BEGIN: Subheader -->
        <div class="m-subheader ">
            <div class="d-flex align-items-center">
                <div class="mr-auto">

                </div>
            </div>
        </div>
        <!-- END: Subheader -->                      

        <div class="m-content">
             <div class="m-portlet m-portlet--mobile">

                <div class="m-portlet__head" style="">
                    <div class="m-portlet__head-progress">

                        <!-- here can place a progress bar-->
                    </div>
                    
                    <div class="m-portlet__head-wrapper">
                        <div class="m-portlet__head-caption">
                            <div class="m-portlet__head-title">
                                <span class="m-portlet__head-icon">
                                    <i class="@lang($language_file . '.entity_icon')"></i>
                                </span>

                                <h3 class="m-portlet__head-text">
                                    @lang($language_file.'.module') - @lang('core::core.crud.create')
                                    <small>@lang($language_file.'.module_description')</small>
                                </h3>

                            </div>
                        </div>

                        <div class="m-portlet__head-tools">
                             <a href="{{ route($routes['index']) }}" class="btn btn-primary btn-back btn-crud">@lang('core::core.crud.back')</a>
                        </div>

                    </div>
                </div>

                <div class="m-portlet__body">
                            {!! form_start($form, ['class' => 'row']) !!}

                            @foreach($show_fields as $panelName => $panel)

                                {{ Html::section($language_file,$panelName) }}


                                @foreach($panel as $fieldName => $options)

                                    @if(!isset($options['hide_in_form']))
                                        @if($loop->iteration % 2 == 0)
                                            <div class="{{ isset($options['col-class']) ? $options['col-class'] : 'col-lg-12 col-md-12 col-sm-12' }}">
                                                @else
                                                    <div class="{{ isset($options['col-class']) ? $options['col-class'] : 'col-lg-12 col-md-12 col-sm-12 clear-left' }}">
                                                        @endif

                                                        {!! form_row($form->{$fieldName}) !!}
                                                    </div>
                                                @endif

                                @endforeach

                            @endforeach



                            {!! form_end($form, $renderRest = true) !!}
                        </div>
                </div>
            </div>
        </div>
    </div>

@endsection

@push('scripts')
    @foreach($jsFiles as $jsFile)
        <script src="{!! Module::asset($moduleName.':js/'.$jsFile) !!}"></script>
    @endforeach
@endpush

@if($form_request != null )
    @push('scripts')
    {!! JsValidator::formRequest($form_request, '#module_form') !!}
    @endpush
@endif
